// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/interops/channel (interfaces: Repository)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	channel "github.com/xescugc/smf/interops/channel"
	reflect "reflect"
	time "time"
)

// ChannelRepository is a mock of Repository interface
type ChannelRepository struct {
	ctrl     *gomock.Controller
	recorder *ChannelRepositoryMockRecorder
}

// ChannelRepositoryMockRecorder is the mock recorder for ChannelRepository
type ChannelRepositoryMockRecorder struct {
	mock *ChannelRepository
}

// NewChannelRepository creates a new mock instance
func NewChannelRepository(ctrl *gomock.Controller) *ChannelRepository {
	mock := &ChannelRepository{ctrl: ctrl}
	mock.recorder = &ChannelRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *ChannelRepository) EXPECT() *ChannelRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *ChannelRepository) Create(arg0 context.Context, arg1 channel.Channel) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", arg0, arg1)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create
func (mr *ChannelRepositoryMockRecorder) Create(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*ChannelRepository)(nil).Create), arg0, arg1)
}

// Delete mocks base method
func (m *ChannelRepository) Delete(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete
func (mr *ChannelRepositoryMockRecorder) Delete(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*ChannelRepository)(nil).Delete), arg0, arg1)
}

// Filter mocks base method
func (m *ChannelRepository) Filter(arg0 context.Context) ([]*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Filter", arg0)
	ret0, _ := ret[0].([]*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Filter indicates an expected call of Filter
func (mr *ChannelRepositoryMockRecorder) Filter(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Filter", reflect.TypeOf((*ChannelRepository)(nil).Filter), arg0)
}

// FilterByLastRefresh mocks base method
func (m *ChannelRepository) FilterByLastRefresh(arg0 context.Context, arg1 time.Time) ([]*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FilterByLastRefresh", arg0, arg1)
	ret0, _ := ret[0].([]*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FilterByLastRefresh indicates an expected call of FilterByLastRefresh
func (mr *ChannelRepositoryMockRecorder) FilterByLastRefresh(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FilterByLastRefresh", reflect.TypeOf((*ChannelRepository)(nil).FilterByLastRefresh), arg0, arg1)
}

// Find mocks base method
func (m *ChannelRepository) Find(arg0 context.Context, arg1 int) (*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Find", arg0, arg1)
	ret0, _ := ret[0].(*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Find indicates an expected call of Find
func (mr *ChannelRepositoryMockRecorder) Find(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Find", reflect.TypeOf((*ChannelRepository)(nil).Find), arg0, arg1)
}

// FindByLink mocks base method
func (m *ChannelRepository) FindByLink(arg0 context.Context, arg1 string) (*channel.Channel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FindByLink", arg0, arg1)
	ret0, _ := ret[0].(*channel.Channel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FindByLink indicates an expected call of FindByLink
func (mr *ChannelRepositoryMockRecorder) FindByLink(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FindByLink", reflect.TypeOf((*ChannelRepository)(nil).FindByLink), arg0, arg1)
}

// Update mocks base method
func (m *ChannelRepository) Update(arg0 context.Context, arg1 int, arg2 channel.Channel) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update
func (mr *ChannelRepositoryMockRecorder) Update(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*ChannelRepository)(nil).Update), arg0, arg1, arg2)
}
